Bug 1192824 - F20 PPC64 Perl: Now 5.18.2 but primary is now 5.18.4 - updated noarch package deps prevent network installs
Summary: F20 PPC64 Perl: Now 5.18.2 but primary is now 5.18.4 - updated noarch package...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: perl
Version: 20
Hardware: ppc64
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-15 16:35 UTC by Al Dunsmuir
Modified: 2015-03-01 20:22 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-01 20:21:20 UTC


Attachments (Terms of Use)

Description Al Dunsmuir 2015-02-15 16:35:22 UTC
Description of problem: 
The last F20 ppc64 arch build of Perl is 5.18.2-289 by dwa on 2014-01-07. 
The last F21 ppc64 arch build is 5.18.4-305 by sharkcz on 2014-10-21.

Primary arch F20 Perl is 5.18.4 (-289 by jplesnik on 2014/10/03, -291 by ppisar on 2014/10/30, and -292 by by jplesnik on 2015/02/13).

Recent F20 noarch package builds have requires for Perl(:MODULE_COMPAT_5.18.4:
- 4:perl-Pos-Usage-1.64-2.fc20.noarch 
- perl-DateTime-Timezone-1.76-1.fc20.noarch  
Last F21 ppc64 

These are required for network installation to begin, so essentially prevent
all new F20 ppc64 network installs since Anaconda doesn't seem to be respecting the "don't use updates" flag.

Please do a perl 5.18.4-305 build for ppc64 to eliminate these and future problems.

Version-Release number of selected component (if applicable): Current 5.18.2 
Need 5.18.4 to match primary arch.

How reproducible:
100%

Steps to Reproduce:
1. Boot F20 netinst CD
2. Select any desktop (Gnome, Mate, XFCE)
3. Note broken dependency message 

Actual results:
Install begin button is inactive.  Can not begin install.

Expected results:
Active install begin button, allowing successful install.


Additional info:
See above.  Perl on primary arch promoted to 5.18-4, so any updates to noarch perl packages after Feb 13th are likely to fail the same way.

Shades of Friday the 13th - it's my bad luck to be trying to set up F20 build machines now, rather than last week 8^)

Comment 1 Al Dunsmuir 2015-02-15 16:37:57 UTC
Please ignore "Last F21 ppc64" - edit leftovers.

Comment 2 Al Dunsmuir 2015-02-15 19:44:04 UTC
I checked if the same issue affects the other secondary archs:
- arm switched to primary at F21.
  - The last secondary build was perl-5.18.1-287.fc20 so it will also be affected
    but likely is not considered a priority. 
- aarch64 began at F21.  
  - Not affected

Comment 3 Al Dunsmuir 2015-02-16 01:16:56 UTC
For s/390 secondary, I see Dan (sharkcz) has just completed a build of
perl-5.18.4-292.fc20 at 2015-02-15 01:50:38, so I suspect relief for this problem is on the way.

Comment 4 Petr Pisar 2015-02-16 09:17:38 UTC
Builds for secondary architectures are performed by secondary architecture team. Not by Fedora package maintainers.

Comment 5 Al Dunsmuir 2015-02-18 21:55:39 UTC
Karsten Hopp built a new perl-5.18.4-290.fc20 on 2015-02-17 at 23:57:37 that Koji believes is successful.   

I attempted another install, but the error persists.  The F20 updates repo needs to be updated with this version.

Comment 6 Petr Pisar 2015-02-19 06:29:11 UTC
perl-5.18.4-290.fc20 is stable in the primary F20:

$ koji list-tag-history --build=perl-5.18.4-290.fc20
Fri Oct  3 14:51:31 2014: perl-5.18.4-290.fc20 tagged into f20-updates-candidate by jplesnik
Fri Oct  3 15:46:09 2014: perl-5.18.4-290.fc20 tagged into f20-updates-testing-pending by bodhi
Fri Oct  3 18:57:26 2014: perl-5.18.4-290.fc20 untagged from f20-updates-candidate by bodhi
Fri Oct  3 18:57:26 2014: perl-5.18.4-290.fc20 tagged into f20-updates-testing by bodhi
Fri Oct  3 19:03:43 2014: perl-5.18.4-290.fc20 untagged from f20-updates-testing-pending by bodhi
Sun Oct  5 19:50:04 2014: perl-5.18.4-290.fc20 tagged into f20-override by bodhi
Tue Oct 14 14:33:19 2014: perl-5.18.4-290.fc20 untagged from f20-updates-testing by bodhi
Tue Oct 14 14:33:19 2014: perl-5.18.4-290.fc20 tagged into f20-updates-candidate by bodhi
Tue Oct 14 14:33:32 2014: perl-5.18.4-290.fc20 tagged into f20-updates-testing-pending by bodhi
Tue Oct 14 18:20:51 2014: perl-5.18.4-290.fc20 untagged from f20-updates-candidate by bodhi
Tue Oct 14 18:20:51 2014: perl-5.18.4-290.fc20 tagged into f20-updates-testing by bodhi
Tue Oct 14 18:27:05 2014: perl-5.18.4-290.fc20 untagged from f20-updates-testing-pending by bodhi
Thu Oct 16 09:07:38 2014: perl-5.18.4-290.fc20 tagged into f20-updates-pending by bodhi
Thu Oct 16 21:43:28 2014: perl-5.18.4-290.fc20 untagged from f20-updates-testing by bodhi
Thu Oct 16 21:43:28 2014: perl-5.18.4-290.fc20 tagged into f20-updates by bodhi [still active]
Thu Oct 16 21:49:50 2014: perl-5.18.4-290.fc20 untagged from f20-override by bodhi
Thu Oct 16 21:49:54 2014: perl-5.18.4-290.fc20 untagged from f20-updates-pending by bodhi

Subsequent perl-5.18.4-291.fc20 is also in stable updates.

perl-5.18.4-292.fc20 is in updates-testing.

Comment 7 Al Dunsmuir 2015-02-19 08:14:21 UTC
Petr,

The reason the secondary arch network install now fails is *because* this
is now in primary updates-testing, but *not* in the secondary arch (ppc64) updates-testing.   That's the main reason this bz was opened.

Primary arch has been building 5.18.4 on F20 since October, but until it was promoted to stable there were no secondary arch F20 builds.

The script that does the secondary arch sees the new noarch packages from the primary arch, and copies them to the secondary arch repo.   Normally this is a
good thing, as it eliminates an unnecessary secondary arch package rebuild.
Unfortunately, Perl is an odd case where noarch packages have dependencies on
arch packages.  The secondary arch Perl build was not in place, hence repos for
ppc64 end up with unresolvable dependency errors.  Bugs in F20 anaconda does not
allow one to ignore the updates repository, so now all network installs for ppc64
F20 are broken.

Karsten has now built 5.18.4 for ppc64, so new perl-related builds for ppc64 arch packages will be OK.  The network install is still broken because the new perl
build has not yet been added to the ppc64 F20 repos and cloned to the mirrors.

Nearly there...
Al

Comment 8 Ari Lemmke 2015-02-24 22:36:24 UTC
Just FYI .. this is still open...

//arl

Comment 9 Al Dunsmuir 2015-02-24 23:07:10 UTC
Ari,

Indeed it is.  

Dan asked Peter Robinson to do a ppc64 F20 updates push Monday morning.  
Either Peter is really busy, or he has run into another issue with the
repository closure/generation process... or both.

You can check the latest repo data below.  It still shows Jan 30th.
  http://ppc.koji.fedoraproject.org/tree/updates/20/ppc64/repodata/

Al

Comment 10 Al Dunsmuir 2015-03-01 20:21:20 UTC
One step forward, one step back.

Forward: The perl 5.18.4 issue is now resolved.

Backwared: A new ppc64 F20 dependency issue.

I select the Mate desktop, and C development tools.

Anaconda is happy enough to reach the point of formatting the disks, and
begin the installation process. "Starting package installation process" 
is displayed.  I get a new pop-up with:

"glibc-2.18-11.fc20.ppc requires glibc-common = 2.18-11.fc20

It is annoying that this was not caught in the earlier dependency check,
but that is likely an anaconda or packaging issue.

http://dl.fedoraproject.org/pub/fedora-secondary/updates/20/ppc64/
has the following glibc packages:
 glibc-2.18-16.fc20.ppc64.rpm           2015-02-24 18:47  4.7M  
 glibc-2.18-16.fc20.ppc64p7.rpm         2015-02-24 18:45  3.7M  
 glibc-common-2.18-16.fc20.ppc64.rpm    2015-02-24 19:05   11M  
 glibc-common-2.18-16.fc20.ppc64p7.rpm  2015-02-24 18:48   11M  
 glibc-devel-2.18-16.fc20.ppc64.rpm     2015-02-24 18:55  1.0M  
 glibc-devel-2.18-16.fc20.ppc64p7.rpm   2015-02-24 19:03  1.0M  
 glibc-headers-2.18-16.fc20.ppc64.rpm   2015-02-24 18:55  637K  
 glibc-headers-2.18-16.fc20.ppc64p7.rpm 2015-02-24 19:03  636K  
 glibc-static-2.18-16.fc20.ppc64.rpm    2015-02-24 19:01  1.6M  
 glibc-static-2.18-16.fc20.ppc64p7.rpm  2015-02-24 18:53  1.6M  
 glibc-utils-2.18-16.fc20.ppc64.rpm     2015-02-24 18:53  190K  
 glibc-utils-2.18-16.fc20.ppc64p7.rpm   2015-02-24 19:06  190K

These match the packages at:
http://ppc.koji.fedoraproject.org/tree/updates/20/ppc64/

http://dl.fedoraproject.org/pub/fedora-secondary/updates/testing/20/ppc64/
has no glibc packages

As this is no longer a Perl problem, I'll mark this bz as closed and follow
up offine.


Note You need to log in before you can comment on or make changes to this bug.